package com.cftech.core.util;

import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.Properties;

public class SystemConfig {
	public static Properties p = new Properties();
	public static Properties r = new Properties();

	static {
		InputStream inputStream = null;
		InputStream inputStreamRedis = null;
		try {
//			inputStream = SystemConfig.class.newInstance().getClass()
//					.getClassLoader().getResourceAsStream("");
			p.load(new InputStreamReader(SystemConfig.class.getClassLoader().getResourceAsStream("/common.properties"), "utf-8"));

			inputStreamRedis = SystemConfig.class.newInstance().getClass()
					.getClassLoader().getResourceAsStream("/redis-config.properties");
			r.load(inputStreamRedis);
		} catch (Exception e) {
			e.printStackTrace();

		} finally {
			if (inputStream != null) {
				try {
					inputStream.close();
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		}

	}

}
